Package org.eclipse.emf.compare.internal.adapterfactory

# Interface RankedAdapterFactoryDescriptor

All Superinterfaces:
  `ComposedAdapterFactory.Descriptor`

public interface RankedAdapterFactoryDescriptor extends ComposedAdapterFactory.Descriptor
A descriptor that can create an adapter factory. They are used as the values in a `registry`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`RankedAdapterFactoryDescriptor.Registry`
A registry is an index that takes a collection of keys, typically a pair consisting of an EPackage or java.lang.Package, and a java.lang.Class, and maps it to a `descriptor`.

## Method Summary

Modifier and Type
Method
Description
`IContextTester`
`getContextTester()`
The context tester of the adapter factory binded to this descriptor.
`String`
`getDescription()`
Returns a human readable description for this adapter factory.
`String`
`getId()`
Gets a unique id for this descriptor.
`String`
`getLabel()`
Returns a human readable label for this adapter factory.
`int`
`getRanking()`
The ranking of the adapter factory binded to this descriptor.
`boolean`
`isOptional()`
Returns `true` if the adapter factory is optional.

### Methods inherited from interface org.eclipse.emf.edit.provider.ComposedAdapterFactory.Descriptor

`createAdapterFactory`

## Method Details

### getRanking

int getRanking()
The ranking of the adapter factory binded to this descriptor.

Returns:
  the ranking of the adapter factory binded to this descriptor.

### getContextTester

IContextTester getContextTester()
The context tester of the adapter factory binded to this descriptor. The context tester may be null.

Returns:
  the context tester of the adapter factory binded to this descriptor.

### getId

String getId()
Gets a unique id for this descriptor.

Returns:
  an unique id.

### getLabel

String getLabel()
Returns a human readable label for this adapter factory.

Returns:
  a label.

### getDescription

String getDescription()
Returns a human readable description for this adapter factory.

Returns:
  a description or null if none.

### isOptional

boolean isOptional()
Returns `true` if the adapter factory is optional.

Returns:
  `true` if optional or `false` otherwise.